
Application: gvSIG desktop - gvSIG bugs #598
Symmetry doesn't works
05/09/2012 02:04 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category: Vector editing
Target version: 2.0.0-devel-2052
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Tools: Geometry editing (org.gvsig.editing)
Description

Follow this steps:

    1. Load a multi-line shape in a view
    2. Start editing mode
    3. Select tree geometries by rectangle
    4. Select Symmetry tool
    5. Click the first point
    6. Click the second point
    7. Answer N to remove original geometry

The result is:

    1. Just one of tree geometries copied.
    2. Mouse curse is set to working and application doesn't receive mouse events (keyboard still working in editing console).
    3. No way to make anything but close application (by clicking in window close button)

Associated revisions
Revision 38453 - 06/22/2012 11:55 AM - Cesar Ordiñana

Solve error while creating many geometries by symmetry.
Fixes #598.

History
#1 - 05/30/2012 03:15 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 06/22/2012 04:36 PM - Cesar Ordiñana
- Status changed from New to In progress
- Assignee set to Cesar Ordiñana

#3 - 06/22/2012 05:56 PM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100
Applied in changeset r38453.

#4 - 06/24/2012 09:30 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-alpha6

#5 - 07/06/2012 12:56 PM - María Maluenda
- Status changed from Fixed to New

Checked in the gvSIG build 2049

#6 - 07/10/2012 03:21 PM - Juan Lucas Domínguez
- Target version changed from 2.0.0-alpha6 to 2.0.0-devel-2050

#7 - 08/07/2012 08:52 AM - Juan Lucas Domínguez
- File multiline.zip added

Hello.
I have tried it with BN 2049 and it works.
I have used the file attached (multiline.zip) which is clearly multi-linestring  (4 geometries with 2 sub-lines each).
Perhaps the SHP María has used looks like that but is actually a different geometry type?
María, can you test the attached ZIP and attach the SHP you have used? (or tell its URL)

#8 - 08/13/2012 10:36 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-devel-2050 to 1.12.0-rc1

#9 - 08/13/2012 10:45 AM - Joaquín  del Cerro Murciano
- Target version changed from 1.12.0-rc1 to 2.0.0-rc1

#10 - 08/28/2012 12:42 PM - María Maluenda
- Status changed from New to Closed
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052

Closed in the gvSIG build 2051

Files
multiline.zip 7.04 KB 08/07/2012 Juan Lucas Domínguez
